<template>
  <router-view />
  <div id="modals"></div>
</template>

<script lang="ts">
import { Options, Vue } from "vue-class-component";
import Navigation from "@/components/navigation/Navigation.vue";

@Options({
  components: {
    Navigation,
  },
  name: "App",
})
export default class App extends Vue {}
</script>

<style lang="scss">
body {
  padding: 0px;
  margin: 0px;
}

#app {
  font-family: Roboto, Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;

  height: 100vh;
  width: 100vw;
  padding: 0px;
  margin: 0px;

  #modal {
    position: fixed;
    bottom: 0px;
    left: 0px;
    width: 100%;
  }
}
</style>
